function DATAinsert = cellMakerTrL(DTcatena,IDcentralina,NodeNum,ListaDate,...
                ARRAYdateTrL,val_TrL,StoricoTrigger,cTrL,ErrTriggerLink)

l = ListaDate;
DATAinsert = cell(l,8);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateTrL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateTrL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = val_TrL(ii,cTrL);
    DATAinsert{ii,7} = StoricoTrigger(ii,cTrL);
    DATAinsert{ii,8} = ErrTriggerLink(ii,cTrL);
end

end